package org.eclipse.cosmos.rm.validation.internal.common;

import junit.framework.Test;

import org.eclipse.cosmos.rm.validation.internal.databuilders.TestAcyclicDataTypesList;
import org.eclipse.cosmos.rm.validation.internal.databuilders.TestElementTypeMapDataBuilder;
import org.eclipse.cosmos.rm.validation.internal.databuilders.TestRefTypeElementBuilder;
import org.eclipse.cosmos.rm.validation.internal.databuilders.TestReferenceGraphGenerator;
import org.eclipse.cosmos.rm.validation.internal.databuilders.TestTypeInheritanceDataBuilderImpl;
import org.eclipse.cosmos.rm.validation.internal.smlvalidators.TestAcyclicValidator;
import org.eclipse.hyades.test.common.junit.DefaultTestArbiter;
import org.eclipse.hyades.test.common.junit.HyadesTestCase;
import org.eclipse.hyades.test.common.junit.HyadesTestSuite;

/**
 * Generated code for the test suite <b>AllTests</b> located at
 * <i>/org.eclipse.cosmos.rm.validation.tests/junits/AllTests.testsuite</i>.
 */
public class AllTests extends HyadesTestCase
{
	/**
	 * Constructor for AllTests.
	 * @param name
	 */
	public AllTests(String name)
	{
		super(name);
	}

	/**
	 * Returns the JUnit test suite that implements the <b>AllTests</b> definition.
	 */
	public static Test suite()
	{
		HyadesTestSuite allTests = new HyadesTestSuite("AllTests");
		allTests.setArbiter(DefaultTestArbiter.INSTANCE).setId("C7D7CF520CB6574217B3139083DB11DB");
		allTests.addTest(((HyadesTestSuite) TestAcyclicDataTypesList.suite()).setTestInvocationId("C7D7CF520CB6574221B5F15A83DB11DB"));
		allTests.addTest(((HyadesTestSuite) TestAcyclicValidator.suite()).setTestInvocationId("C7D7CF520CB6574221BD1D5583DB11DB"));
		allTests.addTest(((HyadesTestSuite) TestElementTypeMapDataBuilder.suite()).setTestInvocationId("C7D7CF520CB6574221C1FF4683DB11DB"));
		allTests.addTest(((HyadesTestSuite) TestFileOutput.suite()).setTestInvocationId("C7D7CF520CB6574221C4493983DB11DB"));
		allTests.addTest(((HyadesTestSuite) TestRefTypeElementBuilder.suite()).setTestInvocationId("C7D7CF520CB6574221C9042983DB11DB"));
		allTests.addTest(((HyadesTestSuite) TestReferenceGraphGenerator.suite()).setTestInvocationId("C7D7CF520CB6574221CDE62983DB11DB"));
		allTests.addTest(((HyadesTestSuite) TestTypeInheritanceDataBuilderImpl.suite()).setTestInvocationId("C7D7CF520CB6574221D2A12383DB11DB"));
		return allTests;
	}

	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception
	{
	}

	/**
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception
	{
	}

}
