/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.reference;

/**
 * An abstract implementation of the {@link IXScheme} interface
 * 
 * @author Ali Mehregani
 */
public abstract class AbstractScheme implements IXScheme
{
	/**
	 * The expression of this scheme
	 */
	private String expression;
	
	
	/**
	 * @see org.eclipse.cosmos.rm.validation.internal.reference.IXScheme#getExpression()
	 */
	public String getExpression()
	{
		return expression;
	}
	
	/**
	 * @see org.eclipse.cosmos.rm.validation.internal.reference.IXScheme#setExpression(java.lang.String)
	 */
	public void setExpression(String expression)
	{
		this.expression = expression;
	}
}
